# Constant Field Values

## htsjdk.beta.*

htsjdk.beta.codecs.reads.bam.BAMEncoderOptions
Modifier and Type
Constant Field
Value
`public static final int`
`DEAFULT_MAX_RECORDS_IN_RAM`
`500000`

htsjdk.beta.io.bundle.BundleJSON
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_EXTENSION`
`".json"`
`public static final String`
`JSON_PROPERTY_FORMAT`
`"format"`
`public static final String`
`JSON_PROPERTY_PATH`
`"path"`
`public static final String`
`JSON_PROPERTY_PRIMARY`
`"primary"`
`public static final String`
`JSON_PROPERTY_SCHEMA`
`"schema"`
`public static final String`
`JSON_PROPERTY_SCHEMA_NAME`
`"schemaName"`
`public static final String`
`JSON_PROPERTY_SCHEMA_VERSION`
`"schemaVersion"`
`public static final String`
`JSON_SCHEMA_NAME`
`"htsbundle"`
`public static final String`
`JSON_SCHEMA_VERSION`
`"0.1.0"`
htsjdk.beta.io.bundle.BundleResourceType
Modifier and Type
Constant Field
Value
`public static final String`
`CT_ALIGNED_READS`
`"ALIGNED_READS"`
`public static final String`
`CT_FEATURES`
`"FEATURES"`
`public static final String`
`CT_HAPLOID_REFERENCE`
`"HAPLOID_REFERENCE"`
`public static final String`
`CT_MD5`
`"MD5"`
`public static final String`
`CT_READS_INDEX`
`"READS_INDEX"`
`public static final String`
`CT_REFERENCE_DICTIONARY`
`"REFERENCE_DICTIONARY"`
`public static final String`
`CT_REFERENCE_INDEX`
`"REFERENCE_INDEX"`
`public static final String`
`CT_REFERENCE_INDEX_GZI`
`"REFERENCE_INDEX_GZI"`
`public static final String`
`CT_VARIANT_CONTEXTS`
`"VARIANT_CONTEXTS"`
`public static final String`
`CT_VARIANTS_INDEX`
`"VARIANTS_INDEX"`
`public static final String`
`FMT_READS_BAM`
`"BAM"`
`public static final String`
`FMT_READS_CRAM`
`"CRAM"`
`public static final String`
`FMT_READS_HTSGET_BAM`
`"HTSGET_BAM"`
`public static final String`
`FMT_READS_INDEX_BAI`
`"BAI"`
`public static final String`
`FMT_READS_INDEX_CRAI`
`"CRAI"`
`public static final String`
`FMT_READS_INDEX_CSI`
`"CSI"`
`public static final String`
`FMT_READS_SAM`
`"SAM"`
`public static final String`
`FMT_VARIANTS_BCF`
`"BCF"`
`public static final String`
`FMT_VARIANTS_VCF`
`"VCF"`

htsjdk.beta.plugin.hapref.HaploidReferenceFormats
Modifier and Type
Constant Field
Value
`public static final String`
`FASTA`
`"FASTA"`

htsjdk.beta.plugin.reads.ReadsFormats
Modifier and Type
Constant Field
Value
`public static final String`
`BAM`
`"BAM"`
`public static final String`
`CRAM`
`"CRAM"`
`public static final String`
`HTSGET_BAM`
`"HTSGET_BAM"`
`public static final String`
`SAM`
`"SAM"`

htsjdk.beta.plugin.variants.VariantsFormats
Modifier and Type
Constant Field
Value
`public static final String`
`BCF`
`"BCF"`
`public static final String`
`VCF`
`"VCF"`

## htsjdk.samtools.*

htsjdk.samtools.AbstractSAMHeaderRecord
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.AlignmentBlock
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.BamFileIoUtils
Modifier and Type
Constant Field
Value
`public static final String`
`BAM_FILE_EXTENSION`
`".bam"`
htsjdk.samtools.BAMIndex
Modifier and Type
Constant Field
Value
`public static final String`
`BAI_INDEX_SUFFIX`
`".bai"`
`public static final String`
`BAMIndexSuffix`
`".bai"`
`public static final String`
`CSI_INDEX_SUFFIX`
`".csi"`
htsjdk.samtools.BAMRecord
Modifier and Type
Constant Field
Value
`public static final short`
`CIGAR_SIZE_MULTIPLIER`
`4`
`public static final int`
`MAX_CIGAR_ELEMENT_LENGTH`
`268435455`
`public static final int`
`MAX_CIGAR_OPERATORS`
`65535`
htsjdk.samtools.Cigar
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.CigarElement
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.Defaults
Modifier and Type
Constant Field
Value
`public static final String`
`DISABLE_SNAPPY_PROPERTY_NAME`
`"snappy.disable"`
`public static final String`
`OPTIMISTIC_VCF_4_4_PROPERTY`
`"optimistic_vcf_4_4"`
`public static final String`
`SAMJDK_PREFIX`
`"samjdk."`
htsjdk.samtools.DownsamplingIteratorFactory
Modifier and Type
Constant Field
Value
`public static final String`
`CHAINED_DESCRIPTION`
`"Attempts to provide a compromise strategy that offers some of the advantages of both the ConstantMemory and HighAccuracy strategies. Uses a ConstantMemory strategy to downsample the incoming stream to approximately the desired proportion, and then a HighAccuracy strategy to finish. Works in a single pass, and will provide accuracy close to (but often not as good as) HighAccuracy while requiring memory proportional to the set of reads emitted from the ConstantMemory strategy to the HighAccuracy strategy. Works well when downsampling large inputs to small proportions (e.g. downsampling hundreds of millions of reads and retaining only 2%. Should be accurate 99.9% of the time when the input contains more than 50,000 templates (read names). For smaller inputs, HighAccuracy is recommended instead."`
`public static final String`
`CONSTANT_MEMORY_DESCRPTION`
`"Downsamples a stream or file of SAMRecords using a hash-projection strategy such that it can run in constant memory. The downsampling is stochastic, and therefore the actual retained proportion will vary around the requested proportion. Due to working in fixed memory this strategy is good for large inputs, and due to the stochastic nature the accuracy of this strategy is highest with a high number of output records, and diminishes at low output volumes."`
`public static final String`
`HIGH_ACCURACY_DESCRIPTION`
`"Attempts (but does not guarantee) to provide accuracy up to a specified limit. Accuracy is defined as emitting a proportion of reads as close to the requested proportion as possible. In order to do so this strategy requires memory that is proportional to the number of template names in the incoming stream of reads, and will thus require large amounts of memory when running on large input files."`
htsjdk.samtools.GenomicIndexUtil
Modifier and Type
Constant Field
Value
`public static final int`
`BIN_GENOMIC_SPAN`
`536870912`
`public static final int`
`MAX_BINS`
`37450`
`public static final int`
`UNSET_GENOMIC_LOCATION`
`0`
htsjdk.samtools.HtsgetBAMFileReader
Modifier and Type
Constant Field
Value
`public static final String`
`HTSGET_SCHEME`
`"htsget"`
htsjdk.samtools.LinearIndex
Modifier and Type
Constant Field
Value
`public static final int`
`BAM_LIDX_SHIFT`
`14`
htsjdk.samtools.ReservedTagConstants
Modifier and Type
Constant Field
Value
`public static final String`
`OC`
`"OC"`
`public static final String`
`XF`
`"XF"`
`public static final String`
`XN`
`"XN"`
`public static final String`
`XQ`
`"XQ"`
`public static final String`
`XS`
`"XS"`
`public static final String`
`XT`
`"XT"`
htsjdk.samtools.SAMBinaryTagAndValue
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.SAMFileHeader
Modifier and Type
Constant Field
Value
`public static final String`
`CURRENT_VERSION`
`"1.6"`
`public static final String`
`GROUP_ORDER_TAG`
`"GO"`
`public static final String`
`SORT_ORDER_TAG`
`"SO"`
`public static final String`
`VERSION_TAG`
`"VN"`
htsjdk.samtools.SamFileValidator
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_QUALITY_NOT_STORED_ERRORS`
`100`
htsjdk.samtools.SAMProgramRecord
Modifier and Type
Constant Field
Value
`public static final String`
`COMMAND_LINE_TAG`
`"CL"`
`public static final String`
`PREVIOUS_PROGRAM_GROUP_ID_TAG`
`"PP"`
`public static final String`
`PROGRAM_GROUP_ID_TAG`
`"ID"`
`public static final String`
`PROGRAM_NAME_TAG`
`"PN"`
`public static final String`
`PROGRAM_VERSION_TAG`
`"VN"`
htsjdk.samtools.SAMReadGroupRecord
Modifier and Type
Constant Field
Value
`public static final String`
`BARCODE_TAG`
`"BC"`
`public static final String`
`DATE_RUN_PRODUCED_TAG`
`"DT"`
`public static final String`
`DESCRIPTION_TAG`
`"DS"`
`public static final String`
`FLOW_ORDER_TAG`
`"FO"`
`public static final String`
`KEY_SEQUENCE_TAG`
`"KS"`
`public static final String`
`LIBRARY_TAG`
`"LB"`
`public static final String`
`PLATFORM_MODEL_TAG`
`"PM"`
`public static final String`
`PLATFORM_TAG`
`"PL"`
`public static final String`
`PLATFORM_UNIT_TAG`
`"PU"`
`public static final String`
`PREDICTED_MEDIAN_INSERT_SIZE_TAG`
`"PI"`
`public static final String`
`PROGRAM_GROUP_TAG`
`"PG"`
`public static final String`
`READ_GROUP_ID_TAG`
`"ID"`
`public static final String`
`READ_GROUP_SAMPLE_TAG`
`"SM"`
`public static final String`
`SEQUENCING_CENTER_TAG`
`"CN"`
htsjdk.samtools.SAMRecord
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_INSERT_SIZE`
`2147483647`
`public static final String`
`NO_ALIGNMENT_CIGAR`
`"*"`
`public static final int`
`NO_ALIGNMENT_REFERENCE_INDEX`
`-1`
`public static final String`
`NO_ALIGNMENT_REFERENCE_NAME`
`"*"`
`public static final int`
`NO_ALIGNMENT_START`
`0`
`public static final int`
`NO_MAPPING_QUALITY`
`0`
`public static final String`
`NULL_QUALS_STRING`
`"*"`
`public static final String`
`NULL_SEQUENCE_STRING`
`"*"`
`public static final long`
`serialVersionUID`
`1L`
`public static final int`
`UNKNOWN_MAPPING_QUALITY`
`255`
htsjdk.samtools.SAMRecordDuplicateComparator
Modifier and Type
Constant Field
Value
`public static final String`
`UNKNOWN_LIBRARY_STRING`
`"Unknown Library"`
htsjdk.samtools.SAMRecordSetBuilder
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_CHROMOSOME_LENGTH`
`200000000`
htsjdk.samtools.SAMSequenceDictionary
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.SAMSequenceRecord
Modifier and Type
Constant Field
Value
`public static final String`
`ALTERNATIVE_SEQUENCE_NAME_TAG`
`"AN"`
`public static final String`
`ASSEMBLY_TAG`
`"AS"`
`public static final String`
`DESCRIPTION_TAG`
`"DS"`
`public static final String`
`MD5_TAG`
`"M5"`
`public static final String`
`RESERVED_MRNM_SEQUENCE_NAME`
`"="`
`public static final String`
`RESERVED_RNEXT_SEQUENCE_NAME`
`"="`
`public static final String`
`SEQUENCE_LENGTH_TAG`
`"LN"`
`public static final String`
`SEQUENCE_NAME_TAG`
`"SN"`
`public static final long`
`serialVersionUID`
`1L`
`public static final String`
`SPECIES_TAG`
`"SP"`
`public static final int`
`UNAVAILABLE_SEQUENCE_INDEX`
`-1`
`public static final int`
`UNKNOWN_SEQUENCE_LENGTH`
`0`
`public static final String`
`URI_TAG`
`"UR"`
htsjdk.samtools.SAMUtils
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_PHRED_SCORE`
`93`
htsjdk.samtools.SAMValidationError
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.samtools.SBIIndex
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_EXTENSION`
`".sbi"`
htsjdk.samtools.SBIIndexWriter
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_GRANULARITY`
`4096L`
htsjdk.samtools.SQTagUtil
Modifier and Type
Constant Field
Value
`public static final byte`
`MAX_QUALITY`
`0x3f`

htsjdk.samtools.cram.CRAIIndex
Modifier and Type
Constant Field
Value
`public static final String`
`CRAI_INDEX_SUFFIX`
`".crai"`

htsjdk.samtools.cram.build.CompressionHeaderFactory
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_BYTES_USED`
`-1`
`public static final int`
`BYTE_SPACE_SIZE`
`256`
htsjdk.samtools.cram.build.CramIO
Modifier and Type
Constant Field
Value
`public static final String`
`CRAM_FILE_EXTENSION`
`".cram"`
`public static final int`
`EOF_ALIGNMENT_SPAN`
`0`
`public static final int`
`EOF_ALIGNMENT_START`
`4542278`
`public static final int`
`EOF_BLOCK_SIZE_V2`
`11`
`public static final int`
`EOF_BLOCK_SIZE_V3`
`15`
htsjdk.samtools.cram.build.CRAMReferenceRegion
Modifier and Type
Constant Field
Value
`public static final int`
`UNINITIALIZED_LENGTH`
`-1`
`public static final int`
`UNINITIALIZED_START`
`-1`

htsjdk.samtools.cram.compression.ExternalCompressor
Modifier and Type
Constant Field
Value
`public static final int`
`NO_COMPRESSION_ARG`
`-1`

htsjdk.samtools.cram.compression.fqzcomp.FQZGlobalFlags
Modifier and Type
Constant Field
Value
`public static final int`
`DO_REVERSE_FLAG_MASK`
`4`
`public static final int`
`MULTI_PARAM_FLAG_MASK`
`1`
`public static final int`
`SELECTOR_TABLE_FLAG_MASK`
`2`

htsjdk.samtools.cram.compression.nametokenisation.NameTokenisationDecode
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_POSITION_ALLOCATION`
`30`
`public static final byte`
`NAME_SEPARATOR`
`0x0`
htsjdk.samtools.cram.compression.nametokenisation.TokenStreams
Modifier and Type
Constant Field
Value
`public static final byte`
`DUP_PREVIOUS_STREAM_FLAG_MASK`
`0x40`
`public static final byte`
`NEW_POSITION_FLAG_MASK`
`0x80`
`public static final byte`
`TOKEN_CHAR`
`0x2`
`public static final byte`
`TOKEN_DELTA`
`0x8`
`public static final byte`
`TOKEN_DELTA0`
`0x9`
`public static final byte`
`TOKEN_DIFF`
`0x6`
`public static final byte`
`TOKEN_DIGITS`
`0x7`
`public static final byte`
`TOKEN_DIGITS0`
`0x3`
`public static final byte`
`TOKEN_DUP`
`0x5`
`public static final byte`
`TOKEN_DZLEN`
`0x4`
`public static final byte`
`TOKEN_END`
`0xc`
`public static final byte`
`TOKEN_MATCH`
`0xa`
`public static final byte`
`TOKEN_NOP`
`0xb`
`public static final byte`
`TOKEN_STRING`
`0x1`
`public static final byte`
`TOKEN_TYPE`
`0x0`
`public static final int`
`TOTAL_TOKEN_TYPES`
`13`
`public static final byte`
`TYPE_TOKEN_FLAG_MASK`
`0x3f`

htsjdk.samtools.cram.compression.range.Constants
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_FREQ`
`65519`
`public static final long`
`MAX_RANGE`
`4294967295L`
`public static final int`
`NUMBER_OF_SYMBOLS`
`256`
`public static final int`
`STEP`
`16`
htsjdk.samtools.cram.compression.range.RangeParams
Modifier and Type
Constant Field
Value
`public static final int`
`CAT_FLAG_MASK`
`32`
`public static final int`
`EXT_FLAG_MASK`
`4`
`public static final int`
`NOSZ_FLAG_MASK`
`16`
`public static final int`
`ORDER_FLAG_MASK`
`1`
`public static final int`
`PACK_FLAG_MASK`
`128`
`public static final int`
`RLE_FLAG_MASK`
`64`
`public static final int`
`STRIPE_FLAG_MASK`
`8`

htsjdk.samtools.cram.compression.rans.Constants
Modifier and Type
Constant Field
Value
`public static final int`
`NUMBER_OF_SYMBOLS`
`256`
`public static final int`
`RANS_4x8_COMPRESSED_BYTE_LENGTH`
`4`
`public static final int`
`RANS_4x8_LOWER_BOUND`
`8388608`
`public static final int`
`RANS_4x8_ORDER_BYTE_LENGTH`
`1`
`public static final int`
`RANS_4x8_PREFIX_BYTE_LENGTH`
`9`
`public static final int`
`RANS_4x8_RAW_BYTE_LENGTH`
`4`
`public static final int`
`RANS_Nx16_LOWER_BOUND`
`32768`
`public static final int`
`TOTAL_FREQ`
`4096`
`public static final int`
`TOTAL_FREQ_SHIFT`
`12`
htsjdk.samtools.cram.compression.rans.RANSNx16Params
Modifier and Type
Constant Field
Value
`public static final int`
`CAT_FLAG_MASK`
`32`
`public static final int`
`N32_FLAG_MASK`
`4`
`public static final int`
`NOSZ_FLAG_MASK`
`16`
`public static final int`
`ORDER_FLAG_MASK`
`1`
`public static final int`
`PACK_FLAG_MASK`
`128`
`public static final int`
`RLE_FLAG_MASK`
`64`
`public static final int`
`STRIPE_FLAG_MASK`
`8`

htsjdk.samtools.cram.encoding.readfeatures.BaseQualityScore
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x51`
htsjdk.samtools.cram.encoding.readfeatures.Bases
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x62`
htsjdk.samtools.cram.encoding.readfeatures.Deletion
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x44`
htsjdk.samtools.cram.encoding.readfeatures.HardClip
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x48`
htsjdk.samtools.cram.encoding.readfeatures.InsertBase
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x69`
htsjdk.samtools.cram.encoding.readfeatures.Insertion
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x49`
htsjdk.samtools.cram.encoding.readfeatures.Padding
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x50`
htsjdk.samtools.cram.encoding.readfeatures.ReadBase
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x42`
htsjdk.samtools.cram.encoding.readfeatures.RefSkip
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x4e`
htsjdk.samtools.cram.encoding.readfeatures.Scores
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x71`
htsjdk.samtools.cram.encoding.readfeatures.SoftClip
Modifier and Type
Constant Field
Value
`public static final byte`
`operator`
`0x53`
htsjdk.samtools.cram.encoding.readfeatures.Substitution
Modifier and Type
Constant Field
Value
`public static final int`
`NO_CODE`
`-1`
`public static final byte`
`operator`
`0x58`

htsjdk.samtools.cram.io.ITF8
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_BYTES`
`5`

htsjdk.samtools.cram.ref.ReferenceContext
Modifier and Type
Constant Field
Value
`public static final int`
`MULTIPLE_REFERENCE_ID`
`-2`
`public static final int`
`UNINITIALIZED_REFERENCE_ID`
`-3`
`public static final int`
`UNMAPPED_UNPLACED_ID`
`-1`

htsjdk.samtools.cram.structure.AlignmentContext
Modifier and Type
Constant Field
Value
`public static final int`
`NO_ALIGNMENT_END`
`0`
`public static final int`
`NO_ALIGNMENT_SPAN`
`0`
`public static final int`
`NO_ALIGNMENT_START`
`0`
htsjdk.samtools.cram.structure.CRAMCompressionRecord
Modifier and Type
Constant Field
Value
`public static final int`
`CF_DETACHED`
`2`
`public static final int`
`CF_HAS_MATE_DOWNSTREAM`
`4`
`public static final int`
`CF_QS_PRESERVED_AS_ARRAY`
`1`
`public static final int`
`CF_UNKNOWN_BASES`
`8`
`public static final int`
`MF_MATE_NEG_STRAND`
`1`
`public static final int`
`MF_MATE_UNMAPPED`
`2`
`public static final byte`
`MISSING_QUALITY_SCORE`
`0xff`
`public static final int`
`NO_READGROUP_ID`
`-1`
htsjdk.samtools.cram.structure.CRAMEncodingStrategy
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BASES_PER_READ`
`500`
`public static final int`
`DEFAULT_MINIMUM_SINGLE_REFERENCE_SLICE_THRESHOLD`
`1000`
`public static final int`
`DEFAULT_READS_PER_SLICE`
`10000`
htsjdk.samtools.cram.structure.CramHeader
Modifier and Type
Constant Field
Value
`public static final int`
`CRAM_ID_LENGTH`
`20`
`public static final int`
`CRAM_VERSION_LENGTH`
`2`
htsjdk.samtools.cram.structure.Slice
Modifier and Type
Constant Field
Value
`public static final int`
`EMBEDDED_REFERENCE_ABSENT_CONTENT_ID`
`-1`
`public static final int`
`UNINITIALIZED_INDEXING_PARAMETER`
`-1`

htsjdk.samtools.cram.structure.block.Block
Modifier and Type
Constant Field
Value
`public static final int`
`NO_CONTENT_ID`
`0`

htsjdk.samtools.fastq.FastqConstants
Modifier and Type
Constant Field
Value
`public static final String`
`FIRST_OF_PAIR`
`"/1"`
`public static final String`
`QUALITY_HEADER`
`"+"`
`public static final String`
`SECOND_OF_PAIR`
`"/2"`
`public static final String`
`SEQUENCE_HEADER`
`"@"`

htsjdk.samtools.filter.AbstractJavascriptFilter<HEADER,TYPE>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_HEADER_KEY`
`"header"`

htsjdk.samtools.liftover.LiftOver
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_LIFTOVER_MINMATCH`
`0.95`

htsjdk.samtools.metrics.MetricsFile<BEAN,HKEY>
Modifier and Type
Constant Field
Value
`public static final String`
`HISTO_HEADER`
`"## HISTOGRAM\t"`
`public static final String`
`MAJOR_HEADER_PREFIX`
`"## "`
`public static final String`
`METRIC_HEADER`
`"## METRICS CLASS\t"`
`public static final String`
`MINOR_HEADER_PREFIX`
`"# "`
`public static final String`
`SEPARATOR`
`"\t"`

htsjdk.samtools.reference.FastaReferenceWriter
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BASES_PER_LINE`
`60`
`public static final char`
`HEADER_NAME_AND_DESCRIPTION_SEPARATOR`
`' '`
`public static final char`
`HEADER_START_CHAR`
`'>'`
htsjdk.samtools.reference.ReferenceSequenceFileFactory
Modifier and Type
Constant Field
Value
`public static final String`
`FASTA_INDEX_EXTENSION`
`".fai"`

htsjdk.samtools.seekablestream.SeekableBufferedStream
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`512000`
htsjdk.samtools.seekablestream.SeekableStreamFactory
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_SCHEME`
`"file"`

htsjdk.samtools.util.AbstractAsyncWriter<T>
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_QUEUE_SIZE`
`2000`
htsjdk.samtools.util.BinaryCodec
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_UBYTE`
`255L`
`public static final long`
`MAX_UINT`
`4294967295L`
`public static final long`
`MAX_USHORT`
`65535L`
htsjdk.samtools.util.BlockCompressedFilePointerUtil
Modifier and Type
Constant Field
Value
`public static final long`
`MAX_BLOCK_ADDRESS`
`281474976710655L`
`public static final int`
`MAX_OFFSET`
`65535`
htsjdk.samtools.util.BlockCompressedInputStream
Modifier and Type
Constant Field
Value
`public static final String`
`CANNOT_SEEK_CLOSED_STREAM_MSG`
`"Cannot seek a position for a closed stream"`
`public static final String`
`CANNOT_SEEK_STREAM_MSG`
`"Cannot seek a position for a non-file stream"`
`public static final String`
`INCORRECT_HEADER_SIZE_MSG`
`"Incorrect header size for file: "`
`public static final String`
`INVALID_FILE_PTR_MSG`
`"Invalid file pointer: "`
`public static final String`
`PREMATURE_END_MSG`
`"Premature end of file: "`
`public static final String`
`UNEXPECTED_BLOCK_LENGTH_MSG`
`"Unexpected compressed block length: "`
htsjdk.samtools.util.BlockCompressedStreamConstants
Modifier and Type
Constant Field
Value
`public static final byte`
`BGZF_ID1`
`0x42`
`public static final byte`
`BGZF_ID2`
`0x43`
`public static final byte`
`BGZF_LEN`
`0x2`
`public static final int`
`BLOCK_FOOTER_LENGTH`
`8`
`public static final int`
`BLOCK_HEADER_LENGTH`
`18`
`public static final int`
`BLOCK_LENGTH_OFFSET`
`16`
`public static final int`
`DEFAULT_UNCOMPRESSED_BLOCK_SIZE`
`65498`
`public static final byte`
`GZIP_CM_DEFLATE`
`0x8`
`public static final int`
`GZIP_FLG`
`4`
`public static final byte`
`GZIP_ID1`
`0x1f`
`public static final int`
`GZIP_ID2`
`139`
`public static final int`
`GZIP_OS_UNKNOWN`
`255`
`public static final int`
`GZIP_OVERHEAD`
`28`
`public static final int`
`GZIP_XFL`
`0`
`public static final short`
`GZIP_XLEN`
`6`
`public static final int`
`MAX_COMPRESSED_BLOCK_SIZE`
`65536`
`public static final int`
`NO_COMPRESSION_OVERHEAD`
`10`
htsjdk.samtools.util.FileExtensions
Modifier and Type
Constant Field
Value
`public static final String`
`BAI_INDEX`
`".bai"`
`public static final String`
`BAM`
`".bam"`
`public static final String`
`BCF`
`".bcf"`
`public static final String`
`BED`
`".bed"`
`public static final String`
`COMPRESSED_INTERVAL_LIST`
`".interval_list.gz"`
`public static final String`
`COMPRESSED_VCF`
`".vcf.gz"`
`public static final String`
`COMPRESSED_VCF_BGZ`
`".vcf.bgz"`
`public static final String`
`COMPRESSED_VCF_INDEX`
`".tbi"`
`public static final String`
`CRAM`
`".cram"`
`public static final String`
`CRAM_INDEX`
`".crai"`
`public static final String`
`CSI`
`".csi"`
`public static final String`
`DICT`
`".dict"`
`public static final String`
`FASTA_INDEX`
`".fai"`
`public static final String`
`GZI`
`".gzi"`
`public static final String`
`INTERVAL_LIST`
`".interval_list"`
`public static final String`
`MD5`
`".md5"`
`public static final String`
`SAM`
`".sam"`
`public static final String`
`SBI`
`".sbi"`
`public static final String`
`TABIX_INDEX`
`".tbi"`
`public static final String`
`TRIBBLE_INDEX`
`".idx"`
`public static final String`
`VCF`
`".vcf"`
`public static final String`
`VCF_INDEX`
`".idx"`
htsjdk.samtools.util.FormatUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DECIMAL_DIGITS_TO_PRINT`
`6`
htsjdk.samtools.util.GZIIndex
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_EXTENSION`
`".gzi"`
htsjdk.samtools.util.IntervalList
Modifier and Type
Constant Field
Value
`public static final String`
`INTERVAL_LIST_FILE_EXTENSION`
`".interval_list"`
htsjdk.samtools.util.IntervalTree.Node<V1>
Modifier and Type
Constant Field
Value
`public static final int`
`HAS_GREATER_PART`
`4`
`public static final int`
`HAS_LESSER_PART`
`1`
`public static final int`
`HAS_OVERLAPPING_PART`
`2`
`public static final int`
`IS_ADJACENT_AND_EMPTY`
`0`
`public static final int`
`IS_LEFT_OVERHANGING_OVERLAPPER`
`3`
`public static final int`
`IS_RIGHT_OVERHANGING_OVERLAPPER`
`6`
`public static final int`
`IS_STRICTLY_GREATER`
`4`
`public static final int`
`IS_STRICTLY_LESS`
`1`
`public static final int`
`IS_SUBSET`
`2`
`public static final int`
`IS_SUPERSET`
`7`
htsjdk.samtools.util.IOUtil
Modifier and Type
Constant Field
Value
`public static final String`
`BCF_FILE_EXTENSION`
`".bcf"`
`public static final String`
`COMPRESSED_VCF_FILE_EXTENSION`
`".vcf.gz"`
`public static final String`
`COMPRESSED_VCF_INDEX_EXTENSION`
`".tbi"`
`public static final String`
`DICT_FILE_EXTENSION`
`".dict"`
`public static final long`
`FIVE_GBS`
`5368709120L`
`public static final int`
`GZIP_HEADER_READ_LENGTH`
`8000`
`public static final String`
`INTERVAL_LIST_FILE_EXTENSION`
`".interval_list"`
`public static final long`
`ONE_GB`
`1073741824L`
`public static final String`
`SAM_FILE_EXTENSION`
`".sam"`
`public static final long`
`TWO_GBS`
`2147483648L`
`public static final String`
`VCF_FILE_EXTENSION`
`".vcf"`
`public static final String`
`VCF_INDEX_EXTENSION`
`".idx"`
htsjdk.samtools.util.LineReader
Modifier and Type
Constant Field
Value
`public static final int`
`EOF_VALUE`
`-1`
htsjdk.samtools.util.QualityEncodingDetector
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_MAX_RECORDS_TO_ITERATE`
`10000L`
htsjdk.samtools.util.RelativeIso8601Date
Modifier and Type
Constant Field
Value
`public static final String`
`LAZY_NOW_LABEL`
`"NOW"`
htsjdk.samtools.util.SamConstants
Modifier and Type
Constant Field
Value
`public static final String`
`BARCODE_QUALITY_DELIMITER`
`" "`
`public static final String`
`BARCODE_SEQUENCE_DELIMITER`
`"-"`
htsjdk.samtools.util.SequenceUtil
Modifier and Type
Constant Field
Value
`public static final byte`
`a`
`0x61`
`public static final byte`
`A`
`0x41`
`public static final byte`
`c`
`0x63`
`public static final byte`
`C`
`0x43`
`public static final byte`
`g`
`0x67`
`public static final byte`
`G`
`0x47`
`public static final byte`
`n`
`0x6e`
`public static final byte`
`N`
`0x4e`
`public static final byte`
`t`
`0x74`
`public static final byte`
`T`
`0x54`
htsjdk.samtools.util.SolexaQualityConverter
Modifier and Type
Constant Field
Value
`public static final int`
`ILLUMINA_TO_PHRED_SUBTRAHEND`
`31`
`public static final int`
`PHRED_ADDEND`
`33`
`public static final int`
`SOLEXA_ADDEND`
`64`
htsjdk.samtools.util.SortingLongCollection
Modifier and Type
Constant Field
Value
`public static final int`
`SIZEOF`
`8`
htsjdk.samtools.util.StringUtil
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY_STRING`
`""`
htsjdk.samtools.util.TestUtil
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_URL_FOR_HTTP_TESTS`
`"https://personal.broadinstitute.org/picard/testdata/"`
`public static final int`
`RANDOM_SEED`
`42`

htsjdk.samtools.util.ftp.FTPClient
Modifier and Type
Constant Field
Value
`public static final int`
`READ_TIMEOUT`
`300000`

htsjdk.samtools.util.htsget.HtsgetRequest
Modifier and Type
Constant Field
Value
`protected static final String`
`ACCEPT_TYPE`
`"application/vnd.ga4gh.htsget.v1.2.0+json"`
`protected static final String`
`PROTOCOL_VERSION`
`"vnd.ga4gh.htsget.v1.2.0"`

## htsjdk.tribble.*

htsjdk.tribble.FeatureCodecHeader
Modifier and Type
Constant Field
Value
`public static final long`
`NO_HEADER_END`
`0L`
htsjdk.tribble.Tribble
Modifier and Type
Constant Field
Value
`public static final String`
`STANDARD_INDEX_EXTENSION`
`".idx"`

htsjdk.tribble.bed.BEDCodec
Modifier and Type
Constant Field
Value
`public static final String`
`BED_EXTENSION`
`".bed"`

htsjdk.tribble.example.ExampleBinaryCodec
Modifier and Type
Constant Field
Value
`public static final String`
`HEADER_LINE`
`"# BinaryTestFeature"`

htsjdk.tribble.gff.Gff3Constants
Modifier and Type
Constant Field
Value
`public static final String`
`ALIAS_ATTRIBUTE_KEY`
`"Alias"`
`public static final char`
`ATTRIBUTE_DELIMITER`
`';'`
`public static final String`
`COMMENT_START`
`"#"`
`public static final String`
`DIRECTIVE_START`
`"##"`
`public static final char`
`END_OF_LINE_CHARACTER`
`'\n'`
`public static final char`
`FIELD_DELIMITER`
`'\t'`
`public static final String`
`ID_ATTRIBUTE_KEY`
`"ID"`
`public static final char`
`KEY_VALUE_SEPARATOR`
`'='`
`public static final String`
`NAME_ATTRIBUTE_KEY`
`"Name"`
`public static final String`
`PARENT_ATTRIBUTE_KEY`
`"Parent"`
`public static final String`
`UNDEFINED_FIELD_VALUE`
`"."`
`public static final char`
`VALUE_DELIMITER`
`','`

htsjdk.tribble.index.AbstractIndex
Modifier and Type
Constant Field
Value
`public static final int`
`MAGIC_NUMBER`
`1480870228`
`public static final int`
`VERSION`
`3`

htsjdk.tribble.index.interval.IntervalIndexCreator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_FEATURE_COUNT`
`600`

htsjdk.tribble.index.linear.LinearIndexCreator
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BIN_WIDTH`
`8000`

htsjdk.tribble.index.tabix.TabixFormat
Modifier and Type
Constant Field
Value
`public static final int`
`GENERIC_FLAGS`
`0`
`public static final int`
`SAM_FLAGS`
`1`
`public static final int`
`UCSC_FLAGS`
`65536`
`public static final int`
`VCF_FLAGS`
`2`
`public static final int`
`ZERO_BASED`
`65536`

htsjdk.tribble.util.TabixUtils
Modifier and Type
Constant Field
Value
`public static final String`
`STANDARD_INDEX_EXTENSION`
`".tbi"`

## htsjdk.variant.*

htsjdk.variant.bcf2.BCF2Codec
Modifier and Type
Constant Field
Value
`protected static final int`
`ALLOWED_MAJOR_VERSION`
`2`
`protected static final int`
`ALLOWED_MINOR_VERSION`
`1`
htsjdk.variant.bcf2.BCF2Utils
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_ALLELES_IN_GENOTYPES`
`127`
`public static final int`
`MAX_INLINE_ELEMENTS`
`14`
`public static final int`
`OVERFLOW_ELEMENT_MARKER`
`15`

htsjdk.variant.utils.GeneralUtils
Modifier and Type
Constant Field
Value
`public static final boolean`
`DEBUG_MODE_ENABLED`
`false`
`public static final double`
`LOG10_P_OF_ZERO`
`-1000000.0`

htsjdk.variant.variantcontext.Allele
Modifier and Type
Constant Field
Value
`public static final char`
`BREAKEND_EXTENDING_LEFT`
`']'`
`public static final char`
`BREAKEND_EXTENDING_RIGHT`
`'['`
`public static final String`
`NO_CALL_STRING`
`"."`
`public static final String`
`NON_REF_STRING`
`"<NON_REF>"`
`public static final char`
`SINGLE_BREAKEND_INDICATOR`
`'.'`
`public static final String`
`SPAN_DEL_STRING`
`"*"`
`public static final char`
`SYMBOLIC_ALLELE_END`
`'>'`
`public static final char`
`SYMBOLIC_ALLELE_START`
`'<'`
`public static final String`
`UNSPECIFIED_ALTERNATE_ALLELE_STRING`
`"<*>"`
htsjdk.variant.variantcontext.CommonInfo
Modifier and Type
Constant Field
Value
`public static final double`
`NO_LOG10_PERROR`
`1.0`
`public static final long`
`serialVersionUID`
`1L`
htsjdk.variant.variantcontext.Genotype
Modifier and Type
Constant Field
Value
`public static final String`
`PHASED_ALLELE_SEPARATOR`
`"|"`
`public static final long`
`serialVersionUID`
`1L`
`public static final String`
`UNPHASED_ALLELE_SEPARATOR`
`"/"`
htsjdk.variant.variantcontext.GenotypeLikelihoods
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_DIPLOID_ALT_ALLELES_THAT_CAN_BE_GENOTYPED`
`50`
`public static final int`
`MAX_PL`
`2147483647`
htsjdk.variant.variantcontext.GenotypesContext
Modifier and Type
Constant Field
Value
`public static final long`
`serialVersionUID`
`1L`
htsjdk.variant.variantcontext.VariantContext
Modifier and Type
Constant Field
Value
`public static final double`
`NO_LOG10_PERROR`
`1.0`
`public static final long`
`serialVersionUID`
`1L`

htsjdk.variant.variantcontext.writer.BCF2Encoder
Modifier and Type
Constant Field
Value
`public static final int`
`WRITE_BUFFER_INITIAL_SIZE`
`16384`
htsjdk.variant.variantcontext.writer.SortingVariantContextWriter
Modifier and Type
Constant Field
Value
`protected static final int`
`BEFORE_MOST_UPSTREAM_LOC`
`0`

htsjdk.variant.vcf.AbstractVCFCodec
Modifier and Type
Constant Field
Value
`protected static final int`
`NUM_STANDARD_FIELDS`
`8`
htsjdk.variant.vcf.VCF3Codec
Modifier and Type
Constant Field
Value
`public static final String`
`VCF3_MAGIC_HEADER`
`"##fileformat=VCFv3"`
htsjdk.variant.vcf.VCFCodec
Modifier and Type
Constant Field
Value
`public static final String`
`VCF4_MAGIC_HEADER`
`"##fileformat=VCFv4"`
htsjdk.variant.vcf.VCFConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ALLELE_COUNT_KEY`
`"AC"`
`public static final String`
`ALLELE_FREQUENCY_KEY`
`"AF"`
`public static final String`
`ALLELE_NUMBER_KEY`
`"AN"`
`public static final String`
`ALT_HEADER_KEY`
`"ALT"`
`public static final String`
`ALT_HEADER_START`
`"##ALT"`
`public static final String`
`ANCESTRAL_ALLELE_KEY`
`"AA"`
`public static final String`
`CIGAR_KEY`
`"CIGAR"`
`public static final String`
`CONTIG_HEADER_KEY`
`"contig"`
`public static final String`
`CONTIG_HEADER_START`
`"##contig"`
`public static final String`
`DBSNP_KEY`
`"DB"`
`public static final char`
`DELETION_ALLELE_v3`
`'D'`
`public static final String`
`DEPTH_KEY`
`"DP"`
`public static final String`
`EMPTY_ALLELE`
`"."`
`public static final String`
`EMPTY_ALTERNATE_ALLELE_FIELD`
`"."`
`public static final String`
`EMPTY_GENOTYPE`
`"./."`
`public static final String`
`EMPTY_ID_FIELD`
`"."`
`public static final String`
`EMPTY_INFO_FIELD`
`"."`
`public static final String`
`END_KEY`
`"END"`
`public static final String`
`EXPECTED_ALLELE_COUNT_KEY`
`"EC"`
`public static final String`
`FIELD_SEPARATOR`
`"\t"`
`public static final char`
`FIELD_SEPARATOR_CHAR`
`'\t'`
`public static final String`
`FILTER_CODE_SEPARATOR`
`";"`
`public static final String`
`FILTER_HEADER_START`
`"##FILTER"`
`public static final String`
`FORMAT_FIELD_SEPARATOR`
`":"`
`public static final String`
`FORMAT_HEADER_START`
`"##FORMAT"`
`public static final String`
`GENOTYPE_ALLELE_DEPTHS`
`"AD"`
`public static final String`
`GENOTYPE_FIELD_SEPARATOR`
`":"`
`public static final char`
`GENOTYPE_FIELD_SEPARATOR_CHAR`
`':'`
`public static final String`
`GENOTYPE_FILTER_KEY`
`"FT"`
`public static final String`
`GENOTYPE_KEY`
`"GT"`
`public static final String`
`GENOTYPE_LIKELIHOODS_KEY`
`"GL"`
`public static final String`
`GENOTYPE_PL_KEY`
`"PL"`
`public static final String`
`GENOTYPE_POSTERIORS_KEY`
`"GP"`
`public static final String`
`GENOTYPE_QUALITY_KEY`
`"GQ"`
`public static final String`
`HAPLOTYPE_QUALITY_KEY`
`"HQ"`
`public static final String`
`HAPMAP2_KEY`
`"H2"`
`public static final String`
`HAPMAP3_KEY`
`"H3"`
`public static final String`
`ID_FIELD_SEPARATOR`
`";"`
`public static final String`
`INFO_FIELD_ARRAY_SEPARATOR`
`","`
`public static final char`
`INFO_FIELD_ARRAY_SEPARATOR_CHAR`
`','`
`public static final String`
`INFO_FIELD_SEPARATOR`
`";"`
`public static final char`
`INFO_FIELD_SEPARATOR_CHAR`
`';'`
`public static final String`
`INFO_HEADER_START`
`"##INFO"`
`public static final char`
`INSERTION_ALLELE_v3`
`'I'`
`public static final String`
`MAPPING_QUALITY_ZERO_KEY`
`"MQ0"`
`public static final int`
`MAX_GENOTYPE_QUAL`
`99`
`public static final String`
`META_HEADER_KEY`
`"META"`
`public static final String`
`META_HEADER_START`
`"##META"`
`public static final String`
`MISSING_DEPTH_v3`
`"-1"`
`public static final String`
`MISSING_GENOTYPE_QUALITY_v3`
`"-1"`
`public static final String`
`MISSING_HAPLOTYPE_QUALITY_v3`
`"-1"`
`public static final String`
`MISSING_QUALITY_v3`
`"-1"`
`public static final String`
`MISSING_VALUE_v4`
`"."`
`public static final char`
`NO_CALL_ALLELE`
`'.'`
`public static final char`
`NULL_ALLELE`
`'-'`
`public static final String`
`OLD_DEPTH_KEY`
`"RD"`
`public static final String`
`PASSES_FILTERS_v3`
`"0"`
`public static final String`
`PASSES_FILTERS_v4`
`"PASS"`
`public static final String`
`PEDIGREE_HEADER_KEY`
`"PEDIGREE"`
`public static final String`
`PEDIGREE_HEADER_START`
`"##PEDIGREE"`
`public static final String`
`PER_ALLELE_COUNT`
`"R"`
`public static final String`
`PER_ALTERNATE_COUNT`
`"A"`
`public static final String`
`PER_GENOTYPE_COUNT`
`"G"`
`public static final String`
`PHASE_QUALITY_KEY`
`"PQ"`
`public static final String`
`PHASE_SET_KEY`
`"PS"`
`public static final String`
`PHASED`
`"|"`
`public static final String`
`PHASED_SWITCH_PROB_v3`
`"\\"`
`public static final String`
`PHASING_TOKENS`
`"/|\\"`
`public static final String`
`RMS_BASE_QUALITY_KEY`
`"BQ"`
`public static final String`
`RMS_MAPPING_QUALITY_KEY`
`"MQ"`
`public static final String`
`SAMPLE_HEADER_KEY`
`"SAMPLE"`
`public static final String`
`SAMPLE_HEADER_START`
`"##SAMPLE"`
`public static final String`
`SAMPLE_NUMBER_KEY`
`"NS"`
`public static final String`
`SOMATIC_KEY`
`"SOMATIC"`
`public static final char`
`SPANNING_DELETION_ALLELE`
`'*'`
`public static final String`
`STRAND_BIAS_KEY`
`"SB"`
`public static final String`
`SVTYPE`
`"SVTYPE"`
`public static final String`
`THOUSAND_GENOMES_KEY`
`"1000G"`
`public static final String`
`UNBOUNDED_ENCODING_v3`
`"-1"`
`public static final String`
`UNBOUNDED_ENCODING_v4`
`"."`
`public static final String`
`UNFILTERED`
`"."`
`public static final String`
`UNPHASED`
`"/"`
`public static final String`
`VALIDATED_KEY`
`"VALIDATED"`
htsjdk.variant.vcf.VCFHeader
Modifier and Type
Constant Field
Value
`public static final String`
`CONTIG_KEY`
`"contig"`
`public static final String`
`EXCLUDE_INTERVALS_KEY`
`"excludeIntervals"`
`public static final String`
`HEADER_INDICATOR`
`"#"`
`public static final String`
`INTERVAL_MERGING_KEY`
`"interval_merging"`
`public static final String`
`INTERVAL_PADDING_KEY`
`"interval_padding"`
`public static final String`
`INTERVAL_SET_RULE_KEY`
`"interval_set_rule"`
`public static final String`
`INTERVALS_KEY`
`"intervals"`
`public static final String`
`METADATA_INDICATOR`
`"##"`
`public static final String`
`REFERENCE_KEY`
`"reference"`
`public static final long`
`serialVersionUID`
`1L`
`public static final String`
`SOURCE_KEY`
`"source"`
htsjdk.variant.vcf.VCFHeaderLine
Modifier and Type
Constant Field
Value
`protected static final boolean`
`ALLOW_UNBOUND_DESCRIPTIONS`
`true`
`public static final long`
`serialVersionUID`
`1L`
`protected static final String`
`UNBOUND_DESCRIPTION`
`"Not provided in original VCF header"`
htsjdk.variant.vcf.VCFSimpleHeaderLine
Modifier and Type
Constant Field
Value
`public static final String`
`DESCRIPTION_ATTRIBUTE`
`"Description"`
`public static final String`
`ID_ATTRIBUTE`
`"ID"`